package com.gamedog.vididin.repository


import kotlinx.coroutines.flow.Flow
import kotlinx.coroutines.flow.flowOf
import javax.inject.Inject


class DefaultMainRepository @Inject constructor(
) : MainRepository {

    override fun getMainTabsStream(): Flow<List<MainTabType>> {
        return flowOf(listOf(MainTabType.HOME, MainTabType.TASKS, MainTabType.MINE))
    }

    private suspend fun setDefaultMainTabs() {
        val arrayListOf = arrayListOf(
            MainTabType.HOME,
            MainTabType.TASKS,
            MainTabType.MINE
        )
    }


}